astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- ExponentialCutoffPowerLaw1D

# ExponentialCutoffPowerLaw1D

class `astropy.modeling.powerlaws.``ExponentialCutoffPowerLaw1D`(amplitude, x_0, alpha, x_cutoff, **constraints)

  Bases: `astropy.modeling.core.Parametric1DModel`

  One dimensional power law model with an exponential cutoff.

  Parameters:

  amplitude : float

  > Model amplitude

  x_0 : float

  > Reference point

  alpha : float

  > Power law index

  x_cutoff : float

  > Cutoff point

  See also

  `PowerLaw1D`, `BrokenPowerLaw1D`, `LogParabola1D`

  Notes

  Model formula (with A for `amplitude` and \alpha for `alpha`):

  > f(x) = A (x / x_0) ^ {-\alpha} \exp (-x / x_{cutoff})

  Attributes Summary

  `alpha` |
  `amplitude` |
  `param_names` | list() -> new empty list
  `x_0` |
  `x_cutoff` |

  Methods Summary

  `deriv`(x, amplitude, x_0, alpha, x_cutoff) | One dimensional exponential cutoff power law derivative
  `eval`(x, amplitude, x_0, alpha, x_cutoff) | One dimensional exponential cutoff power law model function

  Attributes Documentation

  `alpha`
  `amplitude`
  `param_names` = ['amplitude', 'x_0', 'alpha', 'x_cutoff']
  `x_0`
  `x_cutoff`

  Methods Documentation

  static `deriv`(x, amplitude, x_0, alpha, x_cutoff)

    One dimensional exponential cutoff power law derivative

  static `eval`(x, amplitude, x_0, alpha, x_cutoff)

    One dimensional exponential cutoff power law model function